# Functions for manipulating $PATH. Split out so I can use them in .zshenv if I want.

function insert_path_element() {
    if echo "$PATH" | grep "$1:" >> /dev/null; then
        echo $1 already in path
    else
        export PATH="$1:$PATH"
    fi
}

function remove_path_element() {
    if echo "$PATH" | grep "$1:" >> /dev/null; then
        export PATH="`echo $PATH | sed s%$1:%%`"
    else
        echo $1 not in PATH
    fi
}
